Bug 22113 - Add price formatting on item lost report
Summary: Add price formatting on item lost report
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 22112
  Show dependency treegraph
 
Reported: 2019-01-12 00:34 UTC by Katrin Fischer
Modified: 2019-02-25 07:08 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22113: Add price formatting on item lost report (2.12 KB, patch)
2019-01-12 00:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22113: Add price formatting on item lost report (2.17 KB, patch)
2019-01-15 02:23 UTC, Olivia
Details | Diff | Splinter Review
Bug 22113: Add price formatting on item lost report (2.24 KB, patch)
2019-01-18 22:01 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 22113: Add price formatting on item lost report (2.30 KB, patch)
2019-01-21 15:47 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-12 00:34:08 UTC

    
Comment 1 Katrin Fischer 2019-01-12 00:38:17 UTC
Created attachment 83835 [details] [review]
Bug 22113: Add price formatting on item lost report

The item lost report displays the price and replacement
price for lost items. With the patch they will display
according to the CurrencyFormat system preference.

To test:
- Mark 1 or more items lost
- Make sure that replacement cost and purchase price are set
- Go to Reports > Items lost
- Search for your lost items
- Verify price and replacement price display
- Apply patch and toggle CurrencyFormat to different settings
- Refresh lost items report
- Verify prices are always displayed according to syspref setting
Comment 2 Olivia 2019-01-15 02:23:42 UTC
Created attachment 83923 [details] [review]
Bug 22113: Add price formatting on item lost report

The item lost report displays the price and replacement
price for lost items. With the patch they will display
according to the CurrencyFormat system preference.

To test:
- Mark 1 or more items lost
- Make sure that replacement cost and purchase price are set
- Go to Reports > Items lost
- Search for your lost items
- Verify price and replacement price display
- Apply patch and toggle CurrencyFormat to different settings
- Refresh lost items report
- Verify prices are always displayed according to syspref setting

Signed-off-by: Olivia Lu <olivialokm@gmail.com>
Comment 3 Katrin Fischer 2019-01-15 05:55:42 UTC
Hi Olivia, please leave assignee as the patch writer. If you change by accident, you can see it it looking at "History" or looking at the author line of the patch. Thx for your sign off! :)
Comment 4 José-Mario Monteiro-Santos 2019-01-18 22:01:35 UTC
Created attachment 84229 [details] [review]
Bug 22113: Add price formatting on item lost report

The item lost report displays the price and replacement
price for lost items. With the patch they will display
according to the CurrencyFormat system preference.

To test:
- Mark 1 or more items lost
- Make sure that replacement cost and purchase price are set
- Go to Reports > Items lost
- Search for your lost items
- Verify price and replacement price display
- Apply patch and toggle CurrencyFormat to different settings
- Refresh lost items report
- Verify prices are always displayed according to syspref setting

Signed-off-by: Olivia Lu <olivialokm@gmail.com>
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 5 Josef Moravec 2019-01-21 15:47:30 UTC
Created attachment 84268 [details] [review]
Bug 22113: Add price formatting on item lost report

The item lost report displays the price and replacement
price for lost items. With the patch they will display
according to the CurrencyFormat system preference.

To test:
- Mark 1 or more items lost
- Make sure that replacement cost and purchase price are set
- Go to Reports > Items lost
- Search for your lost items
- Verify price and replacement price display
- Apply patch and toggle CurrencyFormat to different settings
- Refresh lost items report
- Verify prices are always displayed according to syspref setting

Signed-off-by: Olivia Lu <olivialokm@gmail.com>
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Nick Clemens 2019-01-25 17:57:42 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-01-31 16:43:10 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Lucas Gass 2019-02-01 22:34:29 UTC
pushed to 18.05.x for 18.05.09
Comment 9 Fridolin SOMERS 2019-02-04 12:51:09 UTC
Pushed to 17.11.x for 17.11.15